> For the complete documentation index, see [llms.txt](https://gitbook.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gitbook.com/docs/developers/gitbook-api/api-reference/docs-sites/site-external-links.md).

# Site external links

External links add absolute HTTP or HTTPS destinations alongside sections and groups in a site's navigation.

## The SiteExternalLink object

```json
{"openapi":"3.1.0","info":{"title":"GitBook API","version":"0.0.1-beta"},"components":{"schemas":{"SiteExternalLink":{"type":"object","properties":{"object":{"type":"string","description":"The object type, which is always \"site-external-link\"","enum":["site-external-link"]},"id":{"type":"string","description":"Unique identifier of the external link"},"title":{"$ref":"#/components/schemas/SiteSectionTitle"},"localizedTitle":{"$ref":"#/components/schemas/LocalizedString128"},"description":{"$ref":"#/components/schemas/SiteSectionDescription"},"localizedDescription":{"$ref":"#/components/schemas/LocalizedString256"},"icon":{"$ref":"#/components/schemas/Icon"},"url":{"$ref":"#/components/schemas/URL","description":"Absolute HTTP or HTTPS URL opened by the external link"},"sectionGroup":{"type":"string","description":"ID of the section group the external link belongs to. Omitted for a root link."},"draft":{"type":"boolean","description":"Whether the external link is draft and not live"},"condition":{"description":"Conditional expression used to evaluate whether the external link should be shown to the site's visitor","$ref":"#/components/schemas/Expression"}},"required":["object","id","title","url","draft"]},"SiteSectionTitle":{"type":"string","description":"Title of the site section","minLength":2,"maxLength":128},"LocalizedString128":{"type":"object","description":"Localized string value with a 128 character limit, keyed by locale. Contains overrides for non-default languages only.","additionalProperties":{"type":"string","maxLength":128},"propertyNames":{"$ref":"#/components/schemas/TranslationLanguage"}},"TranslationLanguage":{"type":"string","enum":["en","fr","de","es","it","pt","pt-br","ru","ja","zh","zh-tw","yue","ko","ar","hi","nl","pl","tr","sv","no","da","fi","el","cs","hu","ro","th","vi","id","ms","he","uk","sk","bg","hr","lt","lv","et","sl"]},"SiteSectionDescription":{"type":"string","description":"Description of the site section","minLength":0,"maxLength":256},"LocalizedString256":{"type":"object","description":"Localized string value with a 256 character limit, keyed by locale. Contains overrides for non-default languages only.","additionalProperties":{"type":"string","maxLength":256},"propertyNames":{"$ref":"#/components/schemas/TranslationLanguage"}},"Icon":{"type":"string","maxLength":50,"format":"icon","description":"Name of the icon"},"URL":{"type":"string","format":"uri","maxLength":2048},"Expression":{"type":"string","description":"Expression to evaluate","minLength":0,"maxLength":1024}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://gitbook.com/docs/developers/gitbook-api/api-reference/docs-sites/site-external-links.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
